%{
static void echo_tab();
static int column;
static int span;
%}

RET	\r|\n|\r\n

%%

\t	echo_tab();
{RET}	ECHO; column = 0;
.	ECHO; column++;

%%

int main(int argc, char** argv)
{
  if(argc > 1)
    span  = atoi(argv[1]);
  if(argc > 2 && strcmp(argv[2], "-") != 0)
    yyin  = fopen(argv[2], "r");
  if(argc > 3 && strcmp(argv[3], "-") != 0)
    yyout = fopen(argv[3], "w");

  column = 0;
  if(span <= 0)
    span = 4;
  return yylex();
}

static void echo_tab()
{
  do
  {
    fputc(' ', yyout);
    column++;
  }
  while(column % span != 0);
}

